import Case from './Case';
import { ImplicitWhen } from './WhenFactory';
import { ImplicitThen } from './ThenFactory';
export default class CaseFactory {
    static create<S, D>(param: {
        when: ImplicitWhen<S>;
        then: ImplicitThen<S, D>;
    }): Case<S, D>;
    static createNone<S, D>(param: {
        then: ImplicitThen<S, D>;
    }): Case<S, D>;
    static createElse<S, D>(param: {
        then: ImplicitThen<S, D>;
    }): Case<S, D>;
}
