import When from './When';
export declare type ImplicitWhen<S> = S | ((value?: S) => boolean);
export default class WhenFactory {
    static create<S>(arg: ImplicitWhen<S>): When<S>;
    static createNone<S>(): When<S>;
    static createElse<S>(): When<S>;
}
