var When_1 = require('./When');
var WhenNone_1 = require('./WhenNone');
var WhenElse_1 = require('./WhenElse');
var WhenFactory = (function () {
    function WhenFactory() {
    }
    WhenFactory.create = function (arg) {
        if (arg instanceof Function) {
            return new When_1.default(arg);
        }
        else {
            return new When_1.default(function (v) { return v === arg; });
        }
    };
    WhenFactory.createNone = function () {
        return new WhenNone_1.default();
    };
    WhenFactory.createElse = function () {
        return new WhenElse_1.default();
    };
    return WhenFactory;
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = WhenFactory;
//# sourceMappingURL=WhenFactory.js.map